using NetinaShop.Domain.Dtos.ScraperDtos.Response;

namespace NetinaShop.Core.Abstracts;

public interface IDigikalaScraper : IScopedDependency
{
    public Task<List<ScraperProductDto>> GetProductsByNameAsync(string productName);
    public Task<bool> AddProductToShopAsync(string productId, string productName , CancellationToken cancellationToken = default);
}